org.bouncycastle.bcpg

## Class TrustPacket

- java.lang.Object
- - org.bouncycastle.bcpg.Packet
  - - org.bouncycastle.bcpg.ContainedPacket
    - - org.bouncycastle.bcpg.TrustPacket

All Implemented Interfaces:
  PacketTags

    public class TrustPacket
    extends ContainedPacket

Basic type for a trust packet

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.PacketTags

`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

### Constructor Summary

Constructors
Constructor and Description
`TrustPacket(BCPGInputStream in)`
`TrustPacket(int trustCode)`

### Method Summary

Methods
`void` `encode(BCPGOutputStream out)`
`byte[]` `getLevelAndTrustAmount()`

### Methods inherited from class org.bouncycastle.bcpg.ContainedPacket

`getEncoded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrustPacket

    public TrustPacket(BCPGInputStream in)
                throws java.io.IOException

Throws:
  `java.io.IOException`

#### TrustPacket

    public TrustPacket(int trustCode)

### Method Detail

#### getLevelAndTrustAmount

    public byte[] getLevelAndTrustAmount()

#### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

Specified by:
  `encode` in class `ContainedPacket`
Throws:
  `java.io.IOException`